## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global sdkver 1.4.309.0

Name:           glslang
Version:        15.1.0
Release:        %autorelease
Summary:        OpenGL and OpenGL ES shader front end and validator

License:        BSD-2-Clause AND BSD-3-Clause AND GPL-3.0-or-later AND Apache-2.0
URL:            https://github.com/KhronosGroup/%{name}
Source0:        %url/archive/vulkan-sdk-%{sdkver}.tar.gz#/%{name}-sdk-%{sdkver}.tar.gz
# Patch to build against system spirv-tools (rebased locally)
#Patch3:         https://patch-diff.githubusercontent.com/raw/KhronosGroup/glslang/pull/1722.patch#/0001-pkg-config-compatibility.patch
Patch3:         0001-pkg-config-compatibility.patch

BuildRequires:  cmake3
BuildRequires:  gcc-c++
BuildRequires:  ninja-build
BuildRequires:  spirv-tools-devel

%description
%{name} is the official reference compiler front end for the OpenGL
ES and OpenGL shading languages. It implements a strict
interpretation of the specifications for these languages.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
%{name} is the official reference compiler front end for the OpenGL
ES and OpenGL shading languages. It implements a strict
interpretation of the specifications for these languages.

%prep
%autosetup -p1 -n %{name}-vulkan-sdk-%{sdkver}
# Fix rpmlint warning on debuginfo
find . -name '*.h' -or -name '*.cpp' -or -name '*.hpp'| xargs chmod a-x

%build
%cmake3 -DBUILD_SHARED_LIBS=OFF
%cmake_build

%install
%{cmake_install}

# we don't want them in here
rm -rf %{buildroot}%{_includedir}/SPIRV

%ifnarch s390x ppc64
%check
pushd Test
./runtests localResults ../%{_vpath_builddir}/StandAlone/glslangValidator ../%{_vpath_builddir}/StandAlone/spirv-remap
popd
%endif

%files
%doc README.md README-spirv-remap.txt
%{_bindir}/glslang
%{_bindir}/glslangValidator
%{_bindir}/spirv-remap

%files devel
%{_includedir}/glslang/
%{_libdir}/libOSDependent.a
%{_libdir}/libSPIRV.a
%{_libdir}/libSPVRemapper.a
%{_libdir}/libglslang.a
%{_libdir}/libGenericCodeGen.a
%{_libdir}/libMachineIndependent.a
%{_libdir}/libglslang-default-resource-limits.a
%{_libdir}/pkgconfig/glslang.pc
%{_libdir}/pkgconfig/spirv.pc
%{_libdir}/cmake/*

%changelog
## START: Generated by rpmautospec
* Thu Apr 03 2025 Anusha Srivatsa <asrivats@redhat.com> - 15.1.0-3
- Update to v1.4.309.0 SDK

* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 15.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Wed Jan 15 2025 José Expósito <jexposit@redhat.com> - 15.1.0-1
- Update to 1.4.304.0 SDK

* Fri Oct 11 2024 José Expósito <jexposit@redhat.com> - 15.0.0-1
- Update to 1.3.296.0 SDK

* Mon Sep 02 2024 José Expósito <jexposit@redhat.com> - 14.3.0-2
- Remove OGLCompiler and HLSL from pkgconfig

* Wed Aug 14 2024 José Expósito <jexposit@redhat.com> - 14.3.0-1
- Update to 1.3.290.0 SDK

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 14.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu May 30 2024 José Expósito <jexposit@redhat.com> - 14.2.0-3
- License: AND must be all capital letters

* Thu May 30 2024 José Expósito <jexposit@redhat.com> - 14.2.0-2
- Update license identifiers

* Mon May 27 2024 José Expósito <jexposit@redhat.com> - 14.2.0-1
- Update to 1.3.283.0 SDK

* Thu Apr 11 2024 José Expósito <jexposit@redhat.com> - 14.1.0-2
- Remove "find_dependency(SPIRV-Tools-opt)" introduced in 1.3.280.0

* Wed Apr 03 2024 José Expósito <jexposit@redhat.com> - 14.1.0-1
- Update to 1.3.280.0 SDK

* Thu Feb 22 2024 José Expósito <jexposit@redhat.com> - 14.0.0-1
- Update to 1.3.275.0 SDK

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 13.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 13.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Nov 02 2023 José Expósito <jexposit@redhat.com> - 13.1.1-1
- update to 1.3.268.0 SDK

* Tue Sep 05 2023 Dave Airlie <airlied@redhat.com> - 11.9.0-21
- readd old name

* Tue Sep 05 2023 Dave Airlie <airlied@redhat.com> - 11.9.0-20
- new filename for main executable

* Tue Sep 05 2023 Dave Airlie <airlied@redhat.com> - 11.9.0-19
- update pkg config patch

* Tue Sep 05 2023 Dave Airlie <airlied@redhat.com> - 11.9.0-18
- update to 1.3.261.1 sdk

* Mon Sep 04 2023 Dave Airlie <airlied@redhat.com> - 11.9.0-17
- update ASL to Apache, need to recheck others

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 11.9.0-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 20 2023 Dave Airlie <airlied@redhat.com> - 11.9.0-15
- update to 1.3.250.0 glslang

* Mon Apr 24 2023 Dave Airlie <airlied@redhat.com> - 11.9.0-14
- update to 1.3.243.0 sdk

* Sun Apr 23 2023 Dave Airlie <airlied@redhat.com> - 11.9.0-13
- update to 1.3.243.0 sdk

* Tue Jan 31 2023 Dave Airlie <airlied@redhat.com> - 11.9.0-12
- update to 1.3.239.0 sdk

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 11.9.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Nov 09 2022 Dave Airlie <airlied@redhat.com> - 11.9.0-10
- glslang doesn't seem to use datadir anymore

* Wed Nov 09 2022 Dave Airlie <airlied@redhat.com> - 11.9.0-9
- add update patch file

* Wed Nov 09 2022 Dave Airlie <airlied@redhat.com> - 11.9.0-8
- update to 1.3.231.1 sdk

* Wed Aug 31 2022 Lukáš Zaoral <lzaoral@redhat.com> - 11.9.0-7
- spec: do not install files in %%check section

* Wed Aug 24 2022 Dave Airlie <airlied@redhat.com> - 11.9.0-6
- Latest snapshot used in 1.3.224 sdk

* Wed Aug 24 2022 Dave Airlie <airlied@redhat.com> - 11.9.0-5
- Latest snapshot used in 1.3.224 sdk

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 11.9.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jun 17 2022 Dave Airlie <airlied@redhat.com> - 11.9.0-3
- Latest snapshot used in 1.3.216 sdk

* Wed Apr 27 2022 Dave Airlie <airlied@redhat.com> - 11.9.0-2
- Latest snapshot used in 1.3.211 sdk

* Tue Feb 15 2022 Dave Airlie <airlied@redhat.com> - 11.9.0-1
- Latest snapshot used in 1.3.204 sdk

* Sat Jan 29 2022 Jan Grulich <jgrulich@redhat.com> - 11.7.0-5
- Fix encoding/decoding of string literals for bug-endian systems

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 11.7.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Dec 06 2021 Dave Airlie <airlied@redhat.com> - 11.7.0-3
- Fix for spirv-tools ABI

* Tue Nov 23 2021 Dave Airlie <airlied@redhat.com> - 11.7.0-2
- update patch

* Tue Nov 23 2021 Dave Airlie <airlied@redhat.com> - 11.7.0-1
- Latest snapshot used in 1.2.198 sdk

* Tue Sep 07 2021 Dave Airlie <airlied@redhat.com> - 11.6.0-1
- Latest snapshot used in 1.2.189 sdk

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 11.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jul 06 2021 Dave Airlie <airlied@redhat.com> - 11.5.0-1
- Latest snapshot used in 1.2.182 sdk

* Tue May 18 2021 Dave Airlie <airlied@redhat.com> - 11.4.0-1
- Latest snapshot used in 1.2.176 sdk

* Thu Jan 28 2021 Dave Airlie <airlied@redhat.com> - 11.0.0-7
- add sources

* Thu Jan 28 2021 Dave Airlie <airlied@redhat.com> - 11.0.0-6
- Latest snapshot used in 1.2.162 sdk

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 11.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Nov 03 2020 Dave Airlie <airlied@redhat.com> - 11.0.0-4
- Latest upstream snapshot

* Tue Nov 03 2020 Dave Airlie <airlied@redhat.com> - 11.0.0-3
- Latest upstream snapshot

* Wed Aug 05 2020 Dave Airlie <airlied@redhat.com> - 11.0.0-2
- glslang: fix build

* Tue Aug 04 2020 Dave Airlie <airlied@redhat.com> - 11.0.0-1
- Latest upstream snapshot

* Mon Aug 03 2020 Dave Airlie <airlied@redhat.com> - 8.13.3559-12
- fix cmake_install

* Mon Aug 03 2020 Dave Airlie <airlied@redhat.com> - 8.13.3559-11
- Use cmake macros.

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 8.13.3559-10
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 8.13.3559-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Apr 22 2020 Dave Airlie <airlied@redhat.com> - 8.13.3559-8
- glslang: fix pkg-config patch more

* Wed Apr 22 2020 Dave Airlie <airlied@redhat.com> - 8.13.3559-7
- fixup patch

* Wed Apr 22 2020 Dave Airlie <airlied@redhat.com> - 8.13.3559-6
- Update to latest git snapshot

* Sun Feb 02 2020 Robert-André Mauchin <zebob.m@gmail.com> - 8.13.3559-5
- Revert "Revert "rm unneeded include files""

* Sun Feb 02 2020 Robert-André Mauchin <zebob.m@gmail.com> - 8.13.3559-4
- Revert "rm unneeded include files"

* Wed Jan 29 2020 Dave Airlie <airlied@redhat.com> - 8.13.3559-3
- rm unneeded include files

* Wed Jan 29 2020 Dave Airlie <airlied@redhat.com> - 8.13.3559-2
- update to latest sources

* Wed Jan 29 2020 Dave Airlie <airlied@redhat.com> - 8.13.3559-1
- Update to latest git snapshot

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 7.13.3496-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Dec 19 2019 leigh123linux <leigh123linux@googlemail.com> - 7.13.3496-5
- Add patch for 'Fix a couple relative header paths in header'

* Wed Nov 13 2019 Dave Airlie <airlied@redhat.com> - 7.13.3496-4
- Latest upstream snapshot for validation layers build

* Wed Nov 13 2019 Dave Airlie <airlied@redhat.com> - 7.13.3496-3
- glslang: pkg-config/cmake fixes

* Wed Nov 13 2019 Dave Airlie <airlied@redhat.com> - 7.13.3496-2
- Fixup test running

* Wed Nov 13 2019 Dave Airlie <airlied@redhat.com> - 7.13.3496-1
- rebase to newer master

* Sat Aug 03 2019 Dave Airlie <airlied@redhat.com> - 7.11.3214-3
- Latest upstream snapshot for validation layers build

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 7.11.3214-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Mon Jun 10 2019 Robert-André Mauchin <zebob.m@gmail.com> - 7.11.3214-1
- Release 7.11.3214 Add patch to build against system spirv-tools

* Fri Mar 29 2019 Dave Airlie <airlied@redhat.com> - 3.1-14
- update to latest glslang snapshot

* Tue Feb 12 2019 Dave Airlie <airlied@redhat.com> - 3.1-13
- Update for vulkan 1.1.92.0

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Aug 07 2018 leigh123linux <leigh123linux@googlemail.com> - 3.1-11
- Update for vulkan 1.1.82.0

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Apr 24 2018 leigh123linux <leigh123linux@googlemail.com> - 3.1-9
- fix build

* Mon Apr 23 2018 leigh123linux <leigh123linux@googlemail.com> - 3.1-8
- Update for vulkan 1.1.73.0

* Thu Mar 08 2018 Adam Williamson <awilliam@redhat.com> - 3.1-7
- Rebuild to fix GCC 8 mis-compilation

* Fri Feb 09 2018 leigh123linux <leigh123linux@googlemail.com> - 3.1-6
- Update for vulkan 1.0.68.0

* Fri Feb 09 2018 leigh123linux <leigh123linux@googlemail.com> - 3.1-5
- Use ninja to build

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jan 03 2018 leigh123linux <leigh123linux@googlemail.com> - 3.1-3
- Exclude s390x and ppc64 from check section

* Wed Jan 03 2018 leigh123linux <leigh123linux@googlemail.com> - 3.1-2
- Add check section to run tests

* Tue Jan 02 2018 leigh123linux <leigh123linux@googlemail.com> - 3.1-1
- First build
## END: Generated by rpmautospec
